// Нэгэн заан найзындаа зочлохоор шийджээ.
// Зааны байшин нь координатын шулууны "0" цэг дээр харин түүний найзынх x(x > 0) цэг дээр байдаг байв.
// Нэг алхмаар заан 1, 2, 3, 4 эсвэл 5 урттай урагшилж чадах бол тэрээр найзынхаа гэрт очиход шаардагдах хамгийн бага алхмын тоог тодорхойлно уу.
#include <iostream>
using namespace std;
int main()
{
     int n;
     cin >> n;
     if (n <= 5)
     {
          cout << 1 << endl;
          return 0;
     }
     else
     {
          if (n % 5 == 0)
          {
               cout << n / 5 << endl;
          }

          else
          {
               cout << n / 5 + 1 << endl;
          }
     }
}